require "gooi"
require( "Color" )
function love.load()
    gr = love.graphics
    kb = love.keyboard
    mo = love.mouse

    gr.setBackgroundColor(0.5, 0.5, 0.5)

    function width() return gr.getWidth() end
    function height() return gr.getHeight() end

    fontDir = "/fonts/"
    style = {
        font = gr.newFont(fontDir.."myfont.ttf", 20),
        showBorder = true,
        bgColor = {0.208, 0.220, 0.222}
    }
   	font19 = gr.newFont(fontDir .. "myfont.ttf",19)
    gooi.setStyle(style)
    gooi.desktopMode()

    gooi.shadow()
    --gooi.mode3d()
    --gooi.glass()

    gr.setDefaultFilter("nearest", "nearest")

    -----------------------------------------------
    -----------------------------------------------
    -- Grid layout:
    -----------------------------------------------
    -----------------------------------------------

    pGrid = gooi.newPanel({x = 0, y = 0, w = 1280, h = 300, layout = "grid 10x20"})
    -- Add in the specified cell:
    local i = 1
    local number = 20
    local color_buttons = {}
    local big_labels = {}
    copy_label = gooi.newLabel({text = "剪贴板中内容为: " .. love.system.getClipboardText() .."\n 按ctr + v 在代码中粘贴"})
    for k,v in pairs( Color ) do
    	local button = gooi.newButton({text = k,width = 20,height = 20}):bg(v)
    		:onRelease(function()
    			local key = string.sub(k, 2,8)
    			local text = "Color[\"".. key .. "\"]={" .. v[1] .. "," .. v[2] .. "," .. v[3] .."}"
    		love.system.setClipboardText(text)
    		copy_label:setText("剪贴板中内容为: " .. love.system.getClipboardText() .."\n 按ctr + v 在代码中粘贴")
    	end)
    	table.insert(color_buttons,button)
    end
    table.sort( color_buttons,function (a,b)
    	return a.text < b.text
    end)

    for i=1,#color_buttons do
        local xy =math.floor(i/number + 1) .. "," .. i%number + 1
    	pGrid:add(color_buttons[i],xy)
    end

    pGrid:add(copy_label,"10,20")
end

function love.update(dt)
    gooi.update(dt)
end

function love.draw()
    gooi.draw()
end

function love.mousereleased(x, y, button) gooi.released() end
function love.mousepressed(x, y, button)  gooi.pressed() end

function love.keypressed(key, scancode, isrepeat)
    gooi.keypressed(key, scancode, isrepeat)
    if key == "escape" then
        quit()
    end
end
function quit()
    love.event.quit()
end
